/**
 * @file GPIO_ledRGB.c
 * @brief Implementacao das funcoes declaradas em GPIO_ledRGB.h
 * @author Wu Shin Ting
 * @date 06/09/2020
 * 
 */

//Declaracoes das funcoes e macros relacionadas com os registradores 
//do microcontrolador
#include "derivative.h"
//Declaracao de macros e funcoes do componente GPIO_ledRGB
#include "GPIO_ledRGB.h"

void GPIO_initLedRGB() {
	
}

void GPIO_initLedR() {
	
}

void GPIO_initLedG() {
	
}

void GPIO_initLedB() {
	// Modulo SIM: habilita o clock do modulo PORTE
	SIM_SCGC5 |= SIM_SCGC5_PORTE_MASK; 
	
	// Modulo PORT: configure o pino PTE23 para GPIO (azul)
	PORTE_PCR23 |= PORT_PCR_MUX (0b001); // mascarar os bits 8, 9 e 10
	
	// Modulo GPIO: configure o sentido do sinal no pino PTE23
	GPIOE_PDDR |= (1<<23);    // Seta pino 23 do PORTE como saida 	
}

void GPIO_ledR(estado_type estado) {
	
}

void GPIO_ledG(estado_type estado) {
	
}

void GPIO_ledB(estado_type estado){
	switch (estado) {
	case HABILITA:
		// Escrever 1 (Set) no pino PTE23 onde o ledB esta ligado
		GPIOE_PSOR = (1<<23); 
		break;
	case DESABILITA:
	 	// Escrever 0 (Clear) no pino PTE23 onde o ledB esta ligado
		GPIOE_PCOR = (1<<23);
		break;
	}
}

void GPIO_ledRGB(estado_type estadoR, estado_type estadoG, estado_type estaddB) {
	
}
